# $Revision: 1.22 $, $Date: 2011/12/26 13:13:10 $
Summary:	Mixxx - DJ tool
Summary(hu.UTF-8):	Mixxx - DJ program
Summary(pl.UTF-8):	Mixxx - narzędzie dla DJ-ów
Name:		mixxx
Version:	1.10.0
Release:	1
License:	GPL/GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://downloads.mixxx.org/mixxx-%{version}/%{name}-%{version}-src.tar.gz
# Source0-md5:	d92bf422491fa92adf7ed6c2998e67fb
Patch0:		desktop.patch
URL:		http://mixxx.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	Qt3Support-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	audiofile-devel
BuildRequires:	fftw-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	portmidi-devel >= 217
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	scons
BuildRequires:	sed >= 4.0
Requires:	QtSql-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mixxx is an open source DJ tool designed for both professional and
amateur DJs alike.

%description -l hu.UTF-8
Mixxx egy nyílt forrású DJ eszköz profi és amatőr DJ-knek egyaránt.

%description -l pl.UTF-8
Mixxx to mające otwarte źródła narzędzie dla DJ-ów zaprojektowane
zarówno dla profesjonalistów jak i amatorów.

%package skins-core
Summary:	The core skins for Mixxx
Summary(hu.UTF-8):	Alap skinek a Mixxx-hez
Group:		X11/Applications/Multimedia

%description skins-core
The core skins for Mixxx.

%description skins-core -l hu.UTF-8
Alap skinek a Mixxx-hez.

%package translations
Summary:	Translations for Mixxx
Summary(hu.UTF-8):	Nyelvi fájlok a Mixxx-hez
Group:		X11/Applications/Multimedia

%description translations
Translations for Mixxx.

%description translations -l hu.UTF-8
Nyelvi fájlok a Mixxx-hez.

%prep
%setup -q
%patch0 -p1

%build
export CXXFLAGS="%{rpmcxxflags}"
export CCFLAGS="%{rpmcflags}"
export CXX="%{__cxx}"
export QMAKE_CXX="%{__cxx}"
%scons

%install
rm -rf $RPM_BUILD_ROOT
export CXXFLAGS="%{rpmcxxflags}"
export CCFLAGS="%{rpmcflags}"
export CXX="%{__cxx}"
export QMAKE_CXX="%{__cxx}"
%scons install install_root=$RPM_BUILD_ROOT install

# I don't know why doesn't use 'prefix' option...
install -d $RPM_BUILD_ROOT%{_prefix}
mv $RPM_BUILD_ROOT/{bin,share} $RPM_BUILD_ROOT%{_prefix}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mixxx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Mixxx-Manual.pdf
%attr(755,root,root) %{_bindir}/mixxx
%dir %{_datadir}/mixxx
%dir %{_datadir}/mixxx/skins
%dir %{_datadir}/mixxx/translations
%{_datadir}/mixxx/skins/cross.*
%doc %{_datadir}/mixxx/skins/*.xsl
# This is the default skin
%{_datadir}/mixxx/skins/Outline1024x600-Netbook
# %{_datadir}/mixxx/skins/outlineNetbook
%{_datadir}/mixxx/schema.xml
%{_datadir}/mixxx/keyboard
%{_datadir}/mixxx/midi
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}-icon.png

%files translations
%defattr(644,root,root,755)
%{_datadir}/mixxx/translations/*

%files skins-core
%defattr(644,root,root,755)
%{_datadir}/mixxx/skins/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mixxx.spec,v $
Revision 1.22  2011/12/26 13:13:10  uzsolt
- 1.10.0
- translations subpackage
- simplify core-skin subpackage list

Revision 1.21  2011/11/07 12:29:46  uzsolt
- 1.9.2

Revision 1.20  2011/07/28 09:43:01  uzsolt
- desktop.patch
- rel 3

Revision 1.19  2011/03/04 16:26:08  uzsolt
- add hungarian summary and description to skins-core package

Revision 1.18  2011/02/23 12:06:06  uzsolt
- skins-core subpackage
- remove patch0
- remove %undos (unneeded)

Revision 1.17  2011/02/23 08:21:43  uzsolt
- 1.9.0
-disable patch0

Revision 1.16  2011/01/29 22:47:48  sparky
- BR: QtOpenGL-devel, QtSvg-devel, QtXmlPatterns-devel, qt4-build,
  qt4-linguist, scons

Revision 1.15  2011/01/29 11:09:52  lisu
- undos src/SConscript.env to avoid errors when patching

Revision 1.14  2011/01/29 11:05:26  lisu
- add -porttime.patch which fixes porttime dependency

Revision 1.13  2011/01/29 10:49:54  lisu
- BR: QtScript-devel, QtWebKit-devel, portmidi-devel >= 217
- use scons and __rm macro

Revision 1.12  2011/01/22 19:29:00  arekm
- release 3

Revision 1.11  2011/01/19 23:02:18  uzsolt
- rel 2 (because of portmidi update)

Revision 1.10  2011/01/17 20:27:30  uzsolt
- requires QtSql-sqlite3

Revision 1.9  2011/01/11 11:05:21  uzsolt
- hu summ and desc
- rel 1 (works for me)

Revision 1.8  2011/01/04 20:39:21  uzsolt
- 1.8.2
- change url, source
- use scons to build, install

Revision 1.7  2007/12/18 20:14:24  sls
- BR: OpenGL-GLU-devel

Revision 1.6  2007-04-24 16:12:06  qboosh
- pl
- simplied sed

Revision 1.5  2007/04/24 14:47:47  shadzik
- more BRs

Revision 1.4  2007/04/23 17:27:14  shadzik
- add TODO

Revision 1.3  2007/04/23 17:22:36  shadzik
- proper license

Revision 1.2  2007/04/23 17:15:53  shadzik
- add docs

Revision 1.1  2007/04/23 17:12:05  shadzik
- initial
- requested on our forum by croolyc (http://forum.pld-linux.org/viewtopic.php?t=2538&postdays=0&postorder=asc&start=30)
